
Auto Multiple Choice - Bug # 70: Problème d'installation sur MAC

Status: Closed Priority: High
Author: Keith Caputo Category:
Created: 08/27/2012 Assignee:
Updated: 10/31/2014 Due date:
Description: Le port p5.12-net-cups ne s'installe pas. Impossible d'aller plus loin dans l'installation de AMC.

Pourtant tout est à jour : Mountain Lion, xcode, macports

<pre>
--->  Building p5.12-net-cups
DEBUG: Executing org.macports.build (p5.12-net-cups)
DEBUG: Environment: CPATH='/opt/local/include' 
CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macport
s.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/work/.CC_PRINT_OPTIONS' 
LIBRARY_PATH='/opt/local/lib' CC_PRINT_OPTIONS='YES' MACOSX_DEPLOYMENT_TARGET='10.8'
DEBUG: Assembled command: 'cd 
"/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_
perl_p5-net-cups/p5.12-net-cups/work/Net-CUPS-0.61" && /usr/bin/make -j4 -w all'
DEBUG: Executing command line:  cd 
"/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_
perl_p5-net-cups/p5.12-net-cups/work/Net-CUPS-0.61" && /usr/bin/make -j4 -w all 
make: Entering directory 
`/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_
perl_p5-net-cups/p5.12-net-cups/work/Net-CUPS-0.61'
/opt/local/bin/perl5.12 /opt/local/lib/perl5/5.12.4/ExtUtils/xsubpp  -typemap 
/opt/local/lib/perl5/5.12.4/ExtUtils/typemap -typemap typemap  CUPS.xs > CUPS.xsc && mv CUPS.xsc 
CUPS.c
Running Mkbootstrap for Net::CUPS ()
chmod 644 CUPS.bs
cp CUPS.bs blib/arch/auto/Net/CUPS/CUPS.bs
chmod 644 blib/arch/auto/Net/CUPS/CUPS.bs
cp lib/Net/CUPS.pm blib/lib/Net/CUPS.pm
AutoSplitting blib/lib/Net/CUPS.pm (blib/lib/auto/Net/CUPS)
cp lib/Net/CUPS/Destination.pm blib/lib/Net/CUPS/Destination.pm
AutoSplitting blib/lib/Net/CUPS/Destination.pm (blib/lib/auto/Net/CUPS/Destination)
cp lib/Net/CUPS/IPP.pm blib/lib/Net/CUPS/IPP.pm
AutoSplitting blib/lib/Net/CUPS/IPP.pm (blib/lib/auto/Net/CUPS/IPP)
cp lib/Net/CUPS/PPD.pm blib/lib/Net/CUPS/PPD.pm
AutoSplitting blib/lib/Net/CUPS/PPD.pm (blib/lib/auto/Net/CUPS/PPD)
/usr/bin/clang -c   -pipe -O2 -fno-common -DPERL_DARWIN -I/opt/local/include -no-cpp-precomp 
-fno-strict-aliasing -fstack-protector -I/opt/local/include -arch x86_64 -O3   -DVERSION=\"0.61\" 
-DXS_VERSION=\"0.61\"  "-I/opt/local/lib/perl5/5.12.4/darwin-thread-multi-2level/CORE"   CUPS.c
CUPS.xs:10:10: fatal error: 'cups/image.h' file not found
#include <cups/image.h>
         ^
1 error generated.
make: *** [CUPS.o] Error 1
make: Leaving directory 
`/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_
perl_p5-net-cups/p5.12-net-cups/work/Net-CUPS-0.61'
Command failed:  cd 
"/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_
perl_p5-net-cups/p5.12-net-cups/work/Net-CUPS-0.61" && /usr/bin/make -j4 -w all 
Exit code: 2
Error: org.macports.build for port p5.12-net-cups returned: command execution failed
DEBUG: Error code: CHILDSTATUS 36546 2
DEBUG: Backtrace: command execution failed
    while executing
"system -nice 0 $fullcmdstring"
    ("eval" body line 1)
    invoked from within
"eval system $notty $nice \$fullcmdstring"
    invoked from within
"command_exec build"
    (procedure "portbuild::build_main" line 8)
    invoked from within
"$procedure $targetname"
Warning: targets not executed for p5.12-net-cups: org.macports.activate org.macports.build 
org.macports.destroot org.macports.install
Please see the log file for port p5.12-net-cups for details:
    
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_p
erl_p5-net-cups/p5.12-net-cups/main.log
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port p5.12-net-cups failed
</pre>

History
08/27/2012 04:36 pm - Alexis Bienvenüe
- Description changed from Le port p5.12-net-cups ne s'installe pas. Impossible d'aller plus loin dans l'installation de AMC.
Pourtant tout est Ã  jour : Mountain Lion, xcode, macports

--->  Building p5.12-net-cups
DEBUG: Executing org.macports.build (p5.12-net-cups)
DEBUG: Environment: CPATH='/opt/local/include' 
CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-
cups/p5.12-net-cups/work/.CC_PRINT_OPTIONS' LIBRARY_PATH='/opt/local/lib' CC_PRINT_OPTIONS='YES' 
MACOSX_DEPLOYMENT_TARGET='10.8'
DEBUG: Assembled command: 'cd 
"/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/work/Ne
t-CUPS-0.61" && /usr/bin/make -j4 -w all'
DEBUG: Executing command line:  cd 
"/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/work/Ne
t-CUPS-0.61" && /usr/bin/make -j4 -w all 
make: Entering directory 
`/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/work/Ne
t-CUPS-0.61'
/opt/local/bin/perl5.12 /opt/local/lib/perl5/5.12.4/ExtUtils/xsubpp  -typemap /opt/local/lib/perl5/5.12.4/ExtUtils/typemap -typemap typemap  CUPS.xs > 
CUPS.xsc && mv CUPS.xsc CUPS.c
Running Mkbootstrap for Net::CUPS ()
chmod 644 CUPS.bs
cp CUPS.bs blib/arch/auto/Net/CUPS/CUPS.bs
chmod 644 blib/arch/auto/Net/CUPS/CUPS.bs
cp lib/Net/CUPS.pm blib/lib/Net/CUPS.pm
AutoSplitting blib/lib/Net/CUPS.pm (blib/lib/auto/Net/CUPS)
cp lib/Net/CUPS/Destination.pm blib/lib/Net/CUPS/Destination.pm
AutoSplitting blib/lib/Net/CUPS/Destination.pm (blib/lib/auto/Net/CUPS/Destination)
cp lib/Net/CUPS/IPP.pm blib/lib/Net/CUPS/IPP.pm
AutoSplitting blib/lib/Net/CUPS/IPP.pm (blib/lib/auto/Net/CUPS/IPP)
cp lib/Net/CUPS/PPD.pm blib/lib/Net/CUPS/PPD.pm
AutoSplitting blib/lib/Net/CUPS/PPD.pm (blib/lib/auto/Net/CUPS/PPD)
/usr/bin/clang -c   -pipe -O2 -fno-common -DPERL_DARWIN -I/opt/local/include -no-cpp-precomp -fno-strict-aliasing -fstack-protector -I/opt/local/include 
-arch x86_64 -O3   -DVERSION=\"0.61\" -DXS_VERSION=\"0.61\"  "-I/opt/local/lib/perl5/5.12.4/darwin-thread-multi-2level/CORE"   CUPS.c
CUPS.xs:10:10: fatal error: 'cups/image.h' file not found
#include <cups/image.h>
         ^
1 error generated.
make: *** [CUPS.o] Error 1
make: Leaving directory 
`/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/work/Ne
t-CUPS-0.61'
Command failed:  cd 
"/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/work/Ne
t-CUPS-0.61" && /usr/bin/make -j4 -w all 
Exit code: 2
Error: org.macports.build for port p5.12-net-cups returned: command execution failed
DEBUG: Error code: CHILDSTATUS 36546 2
DEBUG: Backtrace: command execution failed
    while executing
"system -nice 0 $fullcmdstring"
    ("eval" body line 1)
    invoked from within
"eval system $notty $nice \$fullcmdstring"
    invoked from within
"command_exec build"
    (procedure "portbuild::build_main" line 8)
    invoked from within
"$procedure $targetname"
Warning: targets not executed for p5.12-net-cups: org.macports.activate org.macports.build org.macports.destroot org.macports.install
Please see the log file for port p5.12-net-cups for details:
    
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/main.log
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port p5.12-net-cups failed
 to Le port p5.12-net-cups ne s'installe pas. Impossible d'aller plus loin dans l'installation de AMC.
Pourtant tout est Ã  jour : Mountain Lion, xcode, macports

<pre>
--->  Building p5.12-net-cups
DEBUG: Executing org.macports.build (p5.12-net-cups)
DEBUG: Environment: CPATH='/opt/local/include' 
CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-
cups/p5.12-net-cups/work/.CC_PRINT_OPTIONS' LIBRARY_PATH='/opt/local/lib' CC_PRINT_OPTIONS='YES' 
MACOSX_DEPLOYMENT_TARGET='10.8'
DEBUG: Assembled command: 'cd 
"/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/work/Ne
t-CUPS-0.61" && /usr/bin/make -j4 -w all'
DEBUG: Executing command line:  cd 
"/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/work/Ne
t-CUPS-0.61" && /usr/bin/make -j4 -w all 
make: Entering directory 
`/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/work/Ne
t-CUPS-0.61'
/opt/local/bin/perl5.12 /opt/local/lib/perl5/5.12.4/ExtUtils/xsubpp  -typemap /opt/local/lib/perl5/5.12.4/ExtUtils/typemap -typemap typemap  CUPS.xs > 
CUPS.xsc && mv CUPS.xsc CUPS.c
Running Mkbootstrap for Net::CUPS ()
chmod 644 CUPS.bs
cp CUPS.bs blib/arch/auto/Net/CUPS/CUPS.bs
chmod 644 blib/arch/auto/Net/CUPS/CUPS.bs
cp lib/Net/CUPS.pm blib/lib/Net/CUPS.pm
AutoSplitting blib/lib/Net/CUPS.pm (blib/lib/auto/Net/CUPS)
cp lib/Net/CUPS/Destination.pm blib/lib/Net/CUPS/Destination.pm
AutoSplitting blib/lib/Net/CUPS/Destination.pm (blib/lib/auto/Net/CUPS/Destination)
cp lib/Net/CUPS/IPP.pm blib/lib/Net/CUPS/IPP.pm
AutoSplitting blib/lib/Net/CUPS/IPP.pm (blib/lib/auto/Net/CUPS/IPP)
cp lib/Net/CUPS/PPD.pm blib/lib/Net/CUPS/PPD.pm
AutoSplitting blib/lib/Net/CUPS/PPD.pm (blib/lib/auto/Net/CUPS/PPD)
/usr/bin/clang -c   -pipe -O2 -fno-common -DPERL_DARWIN -I/opt/local/include -no-cpp-precomp -fno-strict-aliasing -fstack-protector -I/opt/local/include 
-arch x86_64 -O3   -DVERSION=\"0.61\" -DXS_VERSION=\"0.61\"  "-I/opt/local/lib/perl5/5.12.4/darwin-thread-multi-2level/CORE"   CUPS.c
CUPS.xs:10:10: fatal error: 'cups/image.h' file not found
#include <cups/image.h>
         ^
1 error generated.
make: *** [CUPS.o] Error 1
make: Leaving directory 
`/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/work/Ne
t-CUPS-0.61'
Command failed:  cd 
"/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/work/Ne
t-CUPS-0.61" && /usr/bin/make -j4 -w all 
Exit code: 2
Error: org.macports.build for port p5.12-net-cups returned: command execution failed
DEBUG: Error code: CHILDSTATUS 36546 2
DEBUG: Backtrace: command execution failed
    while executing
"system -nice 0 $fullcmdstring"
    ("eval" body line 1)
    invoked from within
"eval system $notty $nice \$fullcmdstring"
    invoked from within
"command_exec build"
    (procedure "portbuild::build_main" line 8)
    invoked from within
"$procedure $targetname"
Warning: targets not executed for p5.12-net-cups: org.macports.activate org.macports.build org.macports.destroot org.macports.install
Please see the log file for port p5.12-net-cups for details:
    
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_perl_p5-net-cups/p5.12-net-cups/main.log
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port p5.12-net-cups failed
</pre>

08/27/2012 04:41 pm - Alexis Bienvenüe
Ce bug ne concerne pas AMC, mais le port p5.12-net-cups de MacPorts. Essayez de chercher de l'aide sur leur système de gestion de bugs et leurs 
listes de diffusion...

08/30/2012 05:07 pm - Jean-Julien Fleck
Même problème chez moi, j'ai rempli un rapport de Bug sur MacPort ("#35899":https://trac.macports.org/ticket/35899)

11/17/2012 03:22 pm - Alexis Bienvenüe
Je n'ai malheureusement pas moyen de m'occuper de ce problème, car je n'ai pas de mac : avis aux amateurs !
Il reste encore la possibilité de faire tourner AMC dans une machine virtuelle du type "VirtualBox":https://www.virtualbox.org/ sur laquelle on peut 
installer debian ou ubuntu...

08/17/2013 03:54 pm - Alban Mazerolles
Je viens d'avoir le même problème. Heureusement, j'ai trouvé la réponse sur le net : 
https://perso.univ-lyon2.fr/~brogniar/notes/amc-installation/index.html
Simple à mettre en oeuvre et très efficace. L'installation se déroule comme un charme par la suite.

10/31/2014 07:10 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed
